Package pygraph :: Package algorithms :: Module pagerank

# Module pagerank

PageRank algoritm

Functions

Dict

pagerank(graph, damping_factor=0.85, max_iterations=100, min_delta=1e-05) Compute and return the PageRank in an directed graph. |

Variables
| __package__ = `None`

Function Details

### pagerank(graph, damping_factor=0.85, max_iterations=100, min_delta=1e-05)

Compute and return the PageRank in an directed graph.

Parameters:
  - `graph` (digraph) - Digraph.
  - `damping_factor` (number) - PageRank dumping factor.
  - `max_iterations` (number) - Maximum number of iterations.
  - `min_delta` (number) - Smallest variation required to have a new iteration.
Returns: Dict
  Dict containing all the nodes PageRank.